Skip to content
Myra AI Workspace Tenant Manual Updated · 01 Sep 2026

Getting a single log entry

Note

The Admin API requires no token. The Admin API is typically protected at the network level.

Send the request as GET to the path /admin/v1/logs/{log_id}.

Request

The following parameters are available:

Parameter In Type Required Description
log_id path string yes ID of the log entry.

Example

Example of the response body:

{
  "id": "log_abc789",
  "ts": 1742547632000,
  "tenant": "myapp",
  "tenant_id": "ten_abc123",
  "gateway_id": "gw_xyz789",
  "provider": "openai",
  "model": "gpt-4o",
  "status": 200,
  "cached": true,
  "blocked": true,
  "blocked_by": "auth",
  "block_reason": {},
  "guardrail_verdict": {},
  "input_tokens": 0,
  "output_tokens": 0,
  "cost_usd": 0.0,
  "latency_ms": 0,
  "upstream_latency_ms": 0,
  "guardrail_latency_ms": 0,
  "upstream_attempts": 0,
  "fallback_provider": {},
  "fallback_model": {},
  "saved_cost_usd": 0.0,
  "request_size_bytes": 0
}

Responses

The endpoint answers the request with the following status codes:

Status code Description
200 Log entry.
404 Resource not found (Admin API).